/**
 * Creates a hemisphere light.
 *
 *
 */
import { HemisphereLight } from 'three/src/lights/HemisphereLight';
import { TypedLightObjNode } from './_BaseLight';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class HemisphereLightObjParamsConfig extends NodeParamsConfig {
    /** @param sky color */
    skyColor: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.COLOR>;
    /** @param ground color */
    groundColor: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.COLOR>;
    /** @param light intensity */
    intensity: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    /** @param light position */
    position: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.VECTOR3>;
    /** @param toggle to show helper */
    showHelper: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BOOLEAN>;
    /** @param helper size */
    helperSize: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
}
export declare class HemisphereLightObjNode extends TypedLightObjNode<HemisphereLight, HemisphereLightObjParamsConfig> {
    params_config: HemisphereLightObjParamsConfig;
    static type(): string;
    private _helper_controller;
    create_light(): HemisphereLight;
    initializeNode(): void;
    update_light_params(): void;
}
export {};
